/*
    TMTime.h, Copyright  (c) by ,
    Swiss Federal Institute of Technology,
    Computer Engineering and Networks Laboratory.
 
    TOPSY -- A Teachable Operating System.
             Implementation of a tiny and simple
             micro kernel for teaching purposes.
 
    For further information, please visit http://www.tik.ee.ethz.ch/~topsy
 
    This software is provided under the terms of the GNU General Public Licence.
 
    A full copy of the GNU GPL is provided in the file COPYING found in the 
    development root of Topsy.
*/
/*
 	PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 
	
	File:                  $Source: /home/ruf/cvs_Topsy/cvs/Topsy/Threads/TMTime.h,v $
 	Author(s):             
 	Affiliation:           ETH Zuerich, TIK
 	Version:               $Revision: 2935 $
 	Creation Date:         
 	Last Date of Change:   $Date: 2007-03-21 11:58:17 +0100 (Mit, 21 Mär 2007) $  by: $Author: baderma $
	
*/

#ifndef __TMTIME_H
#define __TMTIME_H

inline void tmTimeUpdate(void);
void tmTimeInit(void);
Error tmTimeGet(unsigned long* seconds, unsigned long* microSeconds);
Error tmTimeSet(unsigned long seconds, unsigned long microSeconds);

unsigned long k_now(void);
unsigned long secs(unsigned long tics);

#endif
